Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.documentbase
Class SimpleIDGenerator

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.documentbase.AbstractIDGenerator
              fr.gouv.culture.sdx.documentbase.SimpleIDGenerator

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, IDGenerator, Localizable, org.apache.avalon.framework.logger.LogEnabled, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

public class SimpleIDGenerator
extends AbstractIDGenerator

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.documentbase.IDGenerator
`IDGenerator.ConfigurationNode`

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.documentbase.AbstractIDGenerator
`_database, ATTRIBUTE_ID_PREFIX, ATTRIBUTE_ID_SUFFIX, idPrefix, idSuffix`

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.documentbase.IDGenerator
`CLASS_NAME_SUFFIX, PACKAGE_QUALNAME`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`SimpleIDGenerator()`

Method Summary
`java.lang.String` | `generate(java.lang.String prefix, java.lang.String suffix)` Generates an idea appending the given strings to an incremented long class field beginning from zero.

Methods inherited from class fr.gouv.culture.sdx.documentbase.AbstractIDGenerator
`configure, generate, getClassNameSuffix, getPrefix, getSuffix, initToSax, initVolatileObjectsToSax, isIdUnique, setDatabase, setIdFieldName, setIndex, setPrefix, setSuffix`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Constructor Detail

### SimpleIDGenerator

    public SimpleIDGenerator()

Method Detail

### generate

    public java.lang.String generate(java.lang.String prefix,
                                     java.lang.String suffix)

  Generates an idea appending the given strings to an incremented long class field beginning from zero.

  Parameters:
    `prefix` - The prefix for the generated id
    `suffix` - The suffix for the generated id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.